import { JavaObject } from '../../../java/lang/JavaObject';
export declare class ENMTeilleistung extends JavaObject {
    id: number;
    artID: number;
    datum: String | null;
    bemerkung: String | null;
    notenKuerzel: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMTeilleistung;
    static transpilerToJSON(obj: ENMTeilleistung): string;
    static transpilerToJSONPatch(obj: Partial<ENMTeilleistung>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMTeilleistung(obj: unknown): ENMTeilleistung;
